### Method

# Vips Image iskilled

#### Declaration [src]

    gboolean
    vips_image_iskilled (
      VipsImage* image
    )

#### Description [src]

If `image` has been killed (see `vips_image_set_kill()`), set an error message, clear the `VipsImage`.kill flag and return `TRUE`. Otherwise return `FALSE`.

Handy for loops which need to run sets of threads which can fail.

See also

`vips_image_set_kill()`.

#### Return value

Type: `gboolean`

`TRUE` if `image` has been killed.